#include <iostream>

using namespace std;

int main()
{
    long long a[1000000];
    long long n;
    cin>>n;
    for (int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int k,m,r,p;
    k=a[1];
    m=a[1];
    for (int i=2;i<n;i++)
    {
        if (k>a[i])
            k=a[i];
    }
    for (int i=2;i<n;i++)
    {
        if (m<a[i])
            m=a[i];
    }
    if (n==2)
    {
        if (a[0]>a[1])
            cout<<a[1]<<" "<<a[0];
        else
            cout<<a[0]<<" "<<a[1];
    }
    else if (n<2)
        cout<<"False";
    else if (n>2)
    {
        if (a[0]>a[1])
        {
            int minn;
            for(int i=0;i<n-1;i++)
            {
                minn=i;
                for (int j=i+1;j<n;j++)
                {
                    if(a[j]>a[minn]) minn=j;
                }
            swap(a[minn],a[i]);
            }
            for (int i=0;i<n;i++)
                cout<<a[i]<<" ";
        }
        else
        {
            int minn;
            for(int i=0;i<n-1;i++)
            {
                minn=i;
                for (int j=i+1;j<n;j++)
                {
                    if(a[j]<a[minn]) minn=j;
                }
            swap(a[minn],a[i]);
            }
            for (int i=0;i<n;i++)
                cout<<a[i]<<" ";
        }

    }
    return 0;
}